<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		/**
		 * clase
		 */
		let Cuadrado=function(i,d){
			// propiedades privadas
			let izquierda;
			let arriba;
			// constructor: metodo publico
			this.Cuadrado=function(i,d){
				// inicializar los miembros
				izquierda=i;
				arriba=d;
			};

			// !IMPORTANTE
			// el constructor tiene que llamarse a sí mismo 
			// y pasarle los argumentos
			this.Cuadrado(i,d);

			// elemento estático de tipo propiedad
			// miembro inventado
			Cuadrado.unidades="px";


			/**
			 * getter y setter
			 */
			this.setIzquierda=function(valor){
				izquierda=valor;
			}

			this.setArriba=function(valor){
				arriba=valor;
			}

			this.getIzquierda=function(){
				return izquierda+Cuadrado.unidades;
			}

			this.getArriba=function(){
				return arriba+Cuadrado.unidades;
			}
		}

		/**
		 * Crear objeto
		 */
		
		let uno=new Cuadrado(10,2);
		console.log(uno.getArriba());
		console.log(uno);

		let dos = new Cuadrado(10,20);
		console.log(dos.getArriba());

		Cuadrado.unidades="pt";
		console.log(uno.getArriba());
		console.log(dos.getArriba());

	</script>
</head>
<body>
	
</body>
</html>